<?php
/************************************************************
* author       : Ad Bakker
* plugin       : Do not display threads of ignored members
* last_mod     : July 11th 2015
* version      : 1.0
*************************************************************/
if(!defined('IN_MYBB'))
{
    die("This file cannot be accessed");
}

function IgnoreThreads_info ()
{
    return array (
        "name"          => "IgnoreThreads",
        "description"   => "Do not display threads of ignored members",
        'website'       => '',
        'author'        => 'Ad Bakker', 
        'authorsite'    => '',
        'version'       => '1.0',
        'guid'          => '',
        'compatibility' => '18*',
    );
}

$plugins->add_hook("forumdisplay_thread_end", "IgnoreThreads_thread_end");
function IgnoreThreads_thread_end()
{
    global $thread, $mybb, $templates, $tpl_forumdisplay_thread;
	
	if ($mybb->user['uid'] == 0) return; // guests have no ignorelist
	if ($mybb->user['ignorelist'] == "") return; // no ignorelist, nothing to ignore
	$ignorelist = explode(",", $mybb->user['ignorelist']);
	if (in_array($thread['uid'],$ignorelist))
	{
		$tpl_forumdisplay_thread = $template->cache['forumdisplay_thread'];
		$templates->cache['forumdisplay_thread'] = "";
	}

$plugins->add_hook("forumdisplay_thread", "IgnoreThreads_thread");
function IgnoreThreads_thread()
{
    global $templates, $tpl_forumdisplay_thread;
	
	if ($templates->cache['forumdisplay_thread'] == "")
	{
		$templates->cache['forumdisplay_thread'] = $tpl_forumdisplay_thread;
	}
}

$plugins->add_hook("search_results_thread", "search_results_thread");
function search_results_thread()
{
	global $thread, $mybb, $templates, $tpl_search_results_threads_thread;
	if ($mybb->user['uid'] == 0) return; // guests have no ignorelist
	if ($mybb->user['ignorelist'] == "") return; // no ignorelist, nothing to ignore

	
}
